%{?nodejs_find_provides_and_requires}

%global packagename os-locale
%global enable_tests 0
# testing disabled due to missing 'ava' and 'xo' dependencies

Name:		nodejs-os-locale
Version:	1.4.0
Release:	1%{?dist}
Summary:	Get the system locale

License:	MIT
URL:		https://github.com/sindresorhus/os-locale
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	https://raw.githubusercontent.com/sindresorhus/os-locale/b5c88233910b2e959fe84d841addb7a15e1cc813/test.js

ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	npm(ava)
BuildRequires:	npm(xo)
%endif

Requires:	nodejs

%description
Get the system locale


%prep
%setup -q -n package
# setup the tests
cp -p %{SOURCE1} .



%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
xo && ava
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license license
%{nodejs_sitelib}/%{packagename}



%changelog
* Fri Oct 23 2015 Jared Smith <jsmith@fedoraproject.org> - 1.4.0-1
- Initial packaging
